;;; ----------------------------------------------------------------------
;;;
;;; ILTCPLIBTYPM: Basic types for the C++ library
;;;
;;; ----------------------------------------------------------------------
;;;
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1995-1997 by ILOG
;;; ----------------------------------------------------------------------
;;;

(define-cpp-type-id char*           char*)
(define-cpp-type-id signed-char*    signed-char*)
(define-cpp-type-id unsigned-char*  unsigned-char*)
(define-cpp-type-id short*          short*)
(define-cpp-type-id unsigned-short* unsigned-short*)
(define-cpp-type-id int*            int*)
(define-cpp-type-id unsigned-int*   unsigned-int*)
(define-cpp-type-id long*           long*)
(define-cpp-type-id unsigned-long*  unsigned-long*)
(define-cpp-type-id float*          float*)
(define-cpp-type-id double*         double*)
(define-cpp-type-id void*           void*)
(define-cpp-type-id char**          char**)
(define-cpp-type-id void**          void**)

(define-cpp-type-id char&           char*)
(define-cpp-type-id signed-char&    signed-char*)
(define-cpp-type-id unsigned-char&  unsigned-char*)
(define-cpp-type-id short&          short*)
(define-cpp-type-id unsigned-short& unsigned-short*)
(define-cpp-type-id int&            int*)
(define-cpp-type-id unsigned-int&   unsigned-int*)
(define-cpp-type-id long&           long*)
(define-cpp-type-id unsigned-long&  unsigned-long*)
(define-cpp-type-id float&          float*)
(define-cpp-type-id double&         double*)

